Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1811903 - fwupd fails on undefined symbol: g_usb_version_string, version LIBGUSB_0.1.0
Summary: fwupd fails on undefined symbol: g_usb_version_string, version LIBGUSB_0.1.0
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: fwupd
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-10 06:27 UTC by Daniel Mach
Modified: 2020-09-14 18:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-14 18:54:04 UTC
Type: Bug


Attachments (Terms of Use)

Description Daniel Mach 2020-03-10 06:27:02 UTC
$ fwupdmgr get-updates 
Failed to connect to daemon: Error calling StartServiceByName for org.freedesktop.fwupd: Timeout was reached

systemctl status fwupd.service 
● fwupd.service - Firmware update daemon
     Loaded: loaded (/usr/lib/systemd/system/fwupd.service; static; vendor preset: disabled)
     Active: failed (Result: exit-code) since Tue 2020-03-10 07:15:34 CET; 1min 42s ago
       Docs: https://fwupd.org/
    Process: 13553 ExecStart=/usr/libexec/fwupd/fwupd (code=exited, status=127)
   Main PID: 13553 (code=exited, status=127)

Mar 10 07:15:33 nb systemd[1]: Starting Firmware update daemon...
Mar 10 07:15:34 nb fwupd[13553]: /usr/libexec/fwupd/fwupd: symbol lookup error: /usr/libexec/fwupd/fwupd: undefined symbol: g_usb_version_string, version LIBGUSB_0.1.0
Mar 10 07:15:34 nb systemd[1]: fwupd.service: Main process exited, code=exited, status=127/n/a
Mar 10 07:15:34 nb systemd[1]: fwupd.service: Failed with result 'exit-code'.
Mar 10 07:15:34 nb systemd[1]: Failed to start Firmware update daemon.

$ rpm -q fwupd libgusb
fwupd-1.3.9-1.fc33.x86_64
libgusb-0.3.4-1.fc33.x86_64

Comment 1 Daniel Mach 2020-03-10 07:44:23 UTC
A rebuild seems to fix the problem:
https://koji.fedoraproject.org/koji/taskinfo?taskID=42368936

Comment 2 Ben Cotton 2020-08-11 15:20:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 3 Richard Hughes 2020-09-14 18:54:04 UTC
Long fixed, but thanks for reporting.


Note You need to log in before you can comment on or make changes to this bug.